#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.4.1.0
visibility:           public
id:                   ghcide-1.4.1.0-LXpApM9IUFcG0dbA5miNgt
key:                  ghcide-1.4.1.0-LXpApM9IUFcG0dbA5miNgt
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  05e6276dd32108ade143dbfc2a098569
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Error
    Development.IDE.GHC.ExactPrint Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Plugin Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Options Development.IDE.Types.Shake
    Generics.SYB.GHC

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings Development.IDE.LSP.Notifications
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.0.2/site-local/ghcide-1.4.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/ghcide-1.4.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-1.4.1.0-LXpApM9IUFcG0dbA5miNgt
depends:
    Diff-0.4.1-CMKm4O5oIH0HY9NPR0lT1Q
    Glob-0.10.2-KkjP3W2kFu15ucmPfJ0EXX
    aeson-1.5.6.0-2S2293OVHlT9T87tqO4MGE
    aeson-pretty-0.8.9-IP572FIpuAsVXUGHrU646 array-0.5.4.0
    async-2.2.4-6KBqZB2hivBDO34h1S6aOW base-4.15.1.0
    base16-bytestring-1.0.2.0-4Yds4TkYzdEEy3Yl6HG4pk binary-0.8.8.0
    bytestring-0.10.12.1
    bytestring-encoding-0.1.2.0-BUGxwow0pubIcgEgq6ShTf
    case-insensitive-1.2.1.0-1ivwZuWMjMn6tgEsnfI5Gi containers-0.6.4.1
    cryptohash-sha1-0.11.101.0-FtsK8Hc4ouDCNi0VdUFtM6
    data-default-0.7.1.1-EcFn1KqENcc3dlLa7FIl7R deepseq-1.4.5.0
    dependent-map-0.4.0.0-CBmYyY2Dnen7q3K5S9oPI1
    dependent-sum-0.7.1.0-9nLtvZauRu52AZwzcG6vgz directory-1.3.6.2
    dlist-1.0-F00OxiD1dC249OyRKVGlo2
    extra-1.7.10-4alF0dzQOAkJknciclp0Xd filepath-1.4.2.1
    fingertree-0.1.5.0-KB1Pp4gfmkF76K4xJjD9GQ
    fuzzy-0.1.0.1-BSnAiUWD0KgKJFn3bLi7R7 ghc-9.0.2
    ghc-api-compat-8.6.1-F4jVXTaEYzcGEcFzzf0nwC ghc-boot-9.0.2
    ghc-boot-th-9.0.2 ghc-check-0.5.0.6-JNcFWabs7AG37QlKB0KhIc
    ghc-exactprint-0.6.4-1zo8YVp73ZnCwXeUTDHHQ1
    ghc-paths-0.1.0.12-7fRPaqGgnC488dNzs2elDi
    ghc-trace-events-0.1.2.5-20Skp14Tvmg9qSNMhFPbkW
    haddock-library-1.10.0-9Zp1cAljtzcIwgOSyeerZ7
    hashable-1.4.0.1-BTNvM8tfYS9gMn15aJ88A
    heapsize-0.3.0.1-Cdnykw8Pg115w28rvFgSGC
    hie-bios-0.7.6-MkdALlRRwYEZNQ54thpfM
    hie-compat-0.2.0.0-HIRtu2tZqQkzZYfKK8kwk
    hiedb-0.4.1.0-1Xl7XubI3Uaj1OfJEeI48
    hls-graph-1.4.0.0-CIDc8M7PKnP21sW3NQl0Vl
    hls-plugin-api-1.2.0.0-Hdj2u3xI6lZ6gCi68239lr
    hslogger-1.3.1.0-EPhVl6WGXBR1yUUv9LQ0Fq
    implicit-hie-cradle-0.3.0.5-6FePvDKze1wEAwx1eQU53t
    lens-5.1-Gj7OMBYpWtY7Gg7vO2ef0v lsp-1.2.0.1-7boT2viavMSDNQNFld1AIQ
    lsp-types-1.3.0.1-BGbihOQfGqk4AHnjLRZeST mtl-2.2.2
    network-uri-2.6.4.1-4cKtDSNM05x87VGNxEdbBK
    opentelemetry-0.7.0-7baDDPGkPpeFGPCwHw3BMH
    optparse-applicative-0.16.1.0-GbRHGselplACSxGXIcNuBS
    parallel-3.2.2.0-D2aleEa2VnPBr164BdKnms
    prettyprinter-1.7.1-FEHD4tgWtERBle1RDs7o0i
    prettyprinter-ansi-terminal-1.1.3-D7qxG4wABEx8fpX4OROWOc
    regex-tdfa-1.3.1.2-R4cqD1ONIjB4g0AHXP2H5
    retrie-1.1.0.0-86ujVDpX1Z4HViYnNdeECt
    rope-utf16-splay-0.3.2.0-5JwMY2z4M0XF2oxKrSMMyr
    safe-0.3.19-2aVM1fCfxX88jnlVeNbd8Q
    safe-exceptions-0.1.7.2-EGEw3BiZlFPK6LWoLTm40D
    sorted-list-0.2.1.0-6jcghXYTAOG6xcHgKgM12R
    sqlite-simple-0.4.18.0-2xDNIcCPQlu3TTW9tt8CkA stm-2.5.0.0
    syb-0.7.2.1-BqdTZk7PNzEBis7awJ90S6 text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.22.0-IIfOYuIlPyH4lUH5Rb28B3
    unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.18.0-5p1LkGNUihlGGE57L3Yn33
    utf8-string-1.0.2-9eFA57BgKXNHtjvfuIOq9f
    vector-0.12.3.1-Gcg3UCz39dJ4D95PpyArUc

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

